VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
BusList Class Reference
VST Implementation Helper Classes

List of Busses. More...

`#include <vstbus.h>`

Inheritance diagram for BusList:

## Public Member Functions
| BusList (MediaType type, BusDirection dir)
| Constructor.
MediaType | getType () const
| Returns the BusList Type.
BusDirection | getDirection () const
| Returns the BusList direction.
| OBJ_METHODS (Vst::BusList, FObject)

## Protected Attributes
MediaType | type
BusDirection | direction

## Detailed Description

List of Busses.

## Constructor & Destructor Documentation

BusList | ( | MediaType | type,
|  | BusDirection | dir
| ) |  |

Constructor.

## Member Function Documentation

MediaType getType | ( |  | ) | const
| inline

Returns the BusList Type.

See MediaType

BusDirection getDirection | ( |  | ) | const
| inline

Returns the BusList direction.

See BusDirection

OBJ_METHODS | ( | Vst::BusList | ,
|  | FObject |
| ) |  |

## Member Data Documentation

MediaType type
| protected

BusDirection direction
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.